@echo off
rem ###########################################################################
rem  Copyright (c) 2007-2009 ThinkUI Software Inc. All rights reserved.
rem
rem  Licensed under the ThinkUI License, Version 1.0 (the "License");
rem  you may not use this file except in compliance with the License.
rem  You may obtain a copy of the License at
rem
rem      http://www.thinkui.com/license.html
rem
rem  Unless required by applicable law or agreed to in writing, software
rem  distributed under the License is distributed on an "AS IS" BASIS,
rem  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
rem  See the License for the specific language governing permissions and
rem  limitations under the License.
rem
rem  For the latest version of this software, please visit www.thinkui.com
rem ###########################################################################

if "%OS%"=="Windows_NT" @setlocal

rem ---------------------------------------------------------------------------
rem Specify Java software and set directives.
rem 1. Use JAVA_HOME environment variable if set.
rem 2. Otherwise, assume that javaw.exe is available on the path.
rem 3. Configure Java VM to allow up to 128MB of memory to be used.
rem ---------------------------------------------------------------------------
if "%JAVA_HOME%" == "" goto no_java_home
if not exist "%JAVA_HOME%\bin\javaw.exe" goto no_java_home
if "%THINKUI_JAVA%" == "" set THINKUI_JAVA=%JAVA_HOME%\bin\javaw.exe

:no_java_home
if "%THINKUI_JAVA%" == "" set THINKUI_JAVA=java

set _THINKUI_OPTS=-mx128m
set _THINKUI_ARGS=
set _THINKUI_HOME=%THINKUI_HOME%

if "%_THINKUI_HOME%"=="" set _THINKUI_HOME=%~dp0..
rem %~dp0 is expanded pathname of the current script under NT

rem -- turn off the JIT if "JAVA_COMPILER=NONE"
rem set JAVA_COMPILER=NONE

rem ---------------------------------------------------------------------------
rem Configure the class path and main class.
rem ---------------------------------------------------------------------------
set _SQLCLIENT_JAR=thinkui_sqlclient.jar
set _CLOUDSCAPE_DERBY_JAR=lib\apache-derby.jar
set _POSTGRESQL_JAR=lib\postgresql-jdbc3.jar
set _MYSQL_JAR=lib\mysql-connector-java-bin.jar
set _ORACLE_JAR=lib\oracle-jdbc-1.4.jar
set _DB2_JAR=lib\db2jcc.jar;lib\db2jcc_license_cu.jar
set _SQL_SERVER_JAR=lib\sqljdbc.jar
set _HSQLDB_JAR=lib\hsqldb.jar
set _H2_JAR=lib\h2.jar
set _VELOCITY_JAR=lib\velocity-dep.jar
set _POI_JAR=lib\apache-poi.jar
set _MICROBA_JAR=lib\microba.jar
set _CUSTOM_JAR=lib\custom.jar
set _CLASSPATH=%_SQLCLIENT_JAR%;%_CLOUDSCAPE_DERBY_JAR%;%_POSTGRESQL_JAR%;%_MYSQL_JAR%;%_ORACLE_JAR%;%_DB2_JAR%;%_SQL_SERVER_JAR%;%_HSQLDB_JAR%;%_H2_JAR%;%_VELOCITY_JAR%;%_POI_JAR%;%_MICROBA_JAR%;%_CUSTOM_JAR%

if not "%CLASSPATH%"=="" set _CLASSPATH=%_CLASSPATH%;%CLASSPATH%
set _MAIN_CLASS=thinkui.sqlclient.Main

rem ---------------------------------------------------------------------------
rem Invoke Java to execute the main class.
rem ---------------------------------------------------------------------------
:run_thinkui

start "ThinkUI SQL Client" /B "%THINKUI_JAVA%" %_THINKUI_OPTS% -cp "%_CLASSPATH%" "-Dthinkui.home=%_THINKUI_HOME%" %_MAIN_CLASS% %* %_THINKUI_ARGS%

rem ---------------------------------------------------------------------------
rem Post script clean up.
rem ---------------------------------------------------------------------------
:end

if "%OS%"=="Windows_NT" @endlocal
